POST api/Reminder/BatchAddCadences

Request Information

URI Parameters

None.

Body Parameters

BatchAddCadencesDto
NameDescriptionTypeAdditional information
personId

integer

None.

horseIds

Collection of integer

None.

reminderTypeId

integer

None.

customTitle

string

None.

intervalValue

integer

None.

intervalUnit

string

None.

nextDueDate

string

None.

alertLeadDays

integer

None.

preferredContactId

integer

None.

notes

string

None.

Request Formats

application/json, text/json

Sample:
{
  "personId": 1,
  "horseIds": [
    1,
    2
  ],
  "reminderTypeId": 2,
  "customTitle": "sample string 3",
  "intervalValue": 4,
  "intervalUnit": "sample string 5",
  "nextDueDate": "sample string 6",
  "alertLeadDays": 7,
  "preferredContactId": 1,
  "notes": "sample string 8"
}

application/xml, text/xml

Sample:
<BatchAddCadencesDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Equestrian.Entities">
  <AlertLeadDays>7</AlertLeadDays>
  <CustomTitle>sample string 3</CustomTitle>
  <HorseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:long>1</d2p1:long>
    <d2p1:long>2</d2p1:long>
  </HorseIds>
  <IntervalUnit>sample string 5</IntervalUnit>
  <IntervalValue>4</IntervalValue>
  <NextDueDate>sample string 6</NextDueDate>
  <Notes>sample string 8</Notes>
  <PersonId>1</PersonId>
  <PreferredContactId>1</PreferredContactId>
  <ReminderTypeId>2</ReminderTypeId>
</BatchAddCadencesDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.